import request from "@/utils/request";
import { Market_BaseUrl } from "@/api/config";
const API = {
  // 获取当前可用限时折扣
  getLimitTimeDiscount(params) {
    return request({
      url: `${Market_BaseUrl}/admin/limitTimeDiscount`,
      method: "get",
      params
    });
  },
  // 满减活动配置
  getDiscountActivity(params) {
    return request({
      url: `${Market_BaseUrl}/admin/discountActivity`,
      method: "get",
      params
    });
  },
  // 根据用户id获取新客立减金额，返回null代表不可用
  getConsumeDiscount(params) {
    return request({
      url: `${Market_BaseUrl}/admin/consumeDiscount/getDiscountByUserId`,
      method: "get",
      params
    });
  },
}
export default API;

